/*****************************************************************
/    This file is part of PC/SC Lite driver for SM1.
/
/    PC/SC Lite driver for SM1 is free software; you can redistribute it and/or modify
/    it under the terms of the GNU General Public License as published by
/    the Free Software Foundation; either version 2 of the License, or
/    (at your option) any later version.
/
/    Smart Card ToolKit is distributed in the hope that it will be useful,
/    but WITHOUT ANY WARRANTY; without even the implied warranty of
/    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/    GNU General Public License for more details.
/
/    You should have received a copy of the GNU General Public License
/    along with Smart Card ToolKit; if not, write to the Free Software
/    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
/
/    Copyright Damien Sauveron, 2003
/    contact : damien.sauveron@labri.fr
/
/    Based on code from the SCTK project by Alexandre Becoulet.
/    URL: http://freshmeat.net/projects/sctk/
/
/ File   :   ttys.c
/ Author :   Damien Sauveron <damien.sauveron@labri.fr>
/ Date   :   July 8, 2003
/ Purpose:   This provides initialization of the device (reader).
/            See http://www.linuxnet.com for more information.
/ License:   See file COPYING
/
******************************************************************/

#include <termios.h>
#include <sys/ioctl.h>

#include "smartmouse.h"

int ttys_init(struct sc_desc_s *sc) {
  /* get ttys attributes */
  if (tcgetattr(sc->dev_fd, &sc->ios))
    return (-1);
  
  /* change attributes */
  sc->ios.c_cflag = CLOCAL | CREAD | CS8 | PARENB;
  sc->ios.c_iflag = /* INPCK */ 0;
  sc->ios.c_oflag = 0;
  sc->ios.c_lflag = 0;

  /* ttys speed to 9600 bps */
  if (cfsetospeed(&sc->ios, B9600)
      || cfsetispeed(&sc->ios, B9600))
    return (-1);
  
  /* set ttys new attributes */
  return (tcsetattr(sc->dev_fd, TCSANOW, &sc->ios) ? -1 : 0);
}
